Callisto4Bootloader: flexspi_nor_driver_interface_t Struct Reference

Callisto4Bootloader

Data Fields
flexspi_nor_driver_interface_t Struct Reference

`#include <bl_api.h>`

## Data Fields

uint32_t | version
status_t(* | init )(uint32_t instance, flexspi_nor_config_t *config)
status_t(* | program )(uint32_t instance, flexspi_nor_config_t *config, uint32_t dst_addr, const uint32_t *src)
status_t(* | erase_all )(uint32_t instance, flexspi_nor_config_t *config)
status_t(* | erase )(uint32_t instance, flexspi_nor_config_t *config, uint32_t start, uint32_t lengthInBytes)
status_t(* | read )(uint32_t instance, flexspi_nor_config_t *config, uint32_t *dst, uint32_t addr, uint32_t lengthInBytes)
void(* | clear_cache )(uint32_t instance)
status_t(* | xfer )(uint32_t instance, flexspi_xfer_t *xfer)
status_t(* | update_lut )(uint32_t instance, uint32_t seqIndex, const uint32_t *lutBase, uint32_t seqNumber)
status_t(* | get_config )(uint32_t instance, flexspi_nor_config_t *config, serial_nor_config_option_t *option)

## Detailed Description

Definition at line 21 of file bl_api.h.

## Field Documentation

## ◆ clear_cache

void(* flexspi_nor_driver_interface_t::clear_cache) (uint32_t instance)

Definition at line 31 of file bl_api.h.

## ◆ erase

status_t(* flexspi_nor_driver_interface_t::erase) (uint32_t instance, flexspi_nor_config_t *config, uint32_t start, uint32_t lengthInBytes)

Definition at line 28 of file bl_api.h.

## ◆ erase_all

status_t(* flexspi_nor_driver_interface_t::erase_all) (uint32_t instance, flexspi_nor_config_t *config)

Definition at line 27 of file bl_api.h.

## ◆ get_config

status_t(* flexspi_nor_driver_interface_t::get_config) (uint32_t instance, flexspi_nor_config_t *config, serial_nor_config_option_t *option)

Definition at line 34 of file bl_api.h.

## ◆ init

status_t(* flexspi_nor_driver_interface_t::init) (uint32_t instance, flexspi_nor_config_t *config)

Definition at line 25 of file bl_api.h.

## ◆ program

status_t(* flexspi_nor_driver_interface_t::program) (uint32_t instance, flexspi_nor_config_t *config, uint32_t dst_addr, const uint32_t *src)

Definition at line 26 of file bl_api.h.

## ◆ read

status_t(* flexspi_nor_driver_interface_t::read) (uint32_t instance, flexspi_nor_config_t *config, uint32_t *dst, uint32_t addr, uint32_t lengthInBytes)

Definition at line 29 of file bl_api.h.

## ◆ update_lut

status_t(* flexspi_nor_driver_interface_t::update_lut) (uint32_t instance, uint32_t seqIndex, const uint32_t *lutBase, uint32_t seqNumber)

Definition at line 33 of file bl_api.h.

## ◆ version

uint32_t flexspi_nor_driver_interface_t::version

Definition at line 24 of file bl_api.h.

## ◆ xfer

status_t(* flexspi_nor_driver_interface_t::xfer) (uint32_t instance, flexspi_xfer_t *xfer)

Definition at line 32 of file bl_api.h.

The documentation for this struct was generated from the following file:

- lib/bl_api.h